NumberFormat.Field (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.text, class: NumberFormat, class: Field
Keywords: java.text.NumberFormat.Field class

# Class NumberFormat.Field

java.lang.Object
java.text.AttributedCharacterIterator.Attribute
java.text.Format.Field
java.text.NumberFormat.Field

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `NumberFormat`

public static class NumberFormat.Field extends Format.Field
Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `NumberFormat.formatToCharacterIterator` and as field identifiers in `FieldPosition`.

Since:
  1.4
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final NumberFormat.Field`
  `CURRENCY`
  Constant identifying the currency field.
  `static final NumberFormat.Field`
  `DECIMAL_SEPARATOR`
  Constant identifying the decimal separator field.
  `static final NumberFormat.Field`
  `EXPONENT`
  Constant identifying the exponent field.
  `static final NumberFormat.Field`
  `EXPONENT_SIGN`
  Constant identifying the exponent sign field.
  `static final NumberFormat.Field`
  `EXPONENT_SYMBOL`
  Constant identifying the exponent symbol field.
  `static final NumberFormat.Field`
  `FRACTION`
  Constant identifying the fraction field.
  `static final NumberFormat.Field`
  `GROUPING_SEPARATOR`
  Constant identifying the grouping separator field.
  `static final NumberFormat.Field`
  `INTEGER`
  Constant identifying the integer field.
  `static final NumberFormat.Field`
  `PERCENT`
  Constant identifying the percent field.
  `static final NumberFormat.Field`
  `PERMILLE`
  Constant identifying the permille field.
  `static final NumberFormat.Field`
  `PREFIX`
  Constant identifying the prefix field.
  `static final NumberFormat.Field`
  `SIGN`
  Constant identifying the sign field.
  `static final NumberFormat.Field`
  `SUFFIX`
  Constant identifying the suffix field.

  ### Fields declared in class AttributedCharacterIterator.Attribute

  `INPUT_METHOD_SEGMENT, LANGUAGE, READING`
  Modifier and Type
  Field
  Description
  `static final AttributedCharacterIterator.Attribute`
  `INPUT_METHOD_SEGMENT`
  Attribute key for input method segments.
  `static final AttributedCharacterIterator.Attribute`
  `LANGUAGE`
  Attribute key for the language of some text.
  `static final AttributedCharacterIterator.Attribute`
  `READING`
  Attribute key for the reading of some text.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Field(String name)`
  Creates a Field instance with the specified name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `readResolve()`
  Resolves instances being deserialized to the predefined constants.

  ### Methods declared in class AttributedCharacterIterator.Attribute

  `equals, getName, hashCode, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  Compares two objects for equality.
  `protected String`
  `getName()`
  Returns the name of the attribute.
  `final int`
  `hashCode()`
  Returns a hash code value for the object.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### INTEGER

    public static final NumberFormat.Field INTEGER
    Constant identifying the integer field.

  - ### FRACTION

    public static final NumberFormat.Field FRACTION
    Constant identifying the fraction field.

  - ### EXPONENT

    public static final NumberFormat.Field EXPONENT
    Constant identifying the exponent field.

  - ### DECIMAL_SEPARATOR

    public static final NumberFormat.Field DECIMAL_SEPARATOR
    Constant identifying the decimal separator field.

  - ### SIGN

    public static final NumberFormat.Field SIGN
    Constant identifying the sign field.

  - ### GROUPING_SEPARATOR

    public static final NumberFormat.Field GROUPING_SEPARATOR
    Constant identifying the grouping separator field.

  - ### EXPONENT_SYMBOL

    public static final NumberFormat.Field EXPONENT_SYMBOL
    Constant identifying the exponent symbol field.

  - ### PERCENT

    public static final NumberFormat.Field PERCENT
    Constant identifying the percent field.

  - ### PERMILLE

    public static final NumberFormat.Field PERMILLE
    Constant identifying the permille field.

  - ### CURRENCY

    public static final NumberFormat.Field CURRENCY
    Constant identifying the currency field.

  - ### EXPONENT_SIGN

    public static final NumberFormat.Field EXPONENT_SIGN
    Constant identifying the exponent sign field.

  - ### PREFIX

    public static final NumberFormat.Field PREFIX
    Constant identifying the prefix field.
    Since:
      12

  - ### SUFFIX

    public static final NumberFormat.Field SUFFIX
    Constant identifying the suffix field.
    Since:
      12

- ## Constructor Details

  - ### Field

    protected Field(String name)
    Creates a Field instance with the specified name.
    Parameters:
      `name` - Name of the attribute

- ## Method Details

  - ### readResolve

    protected Object readResolve() throws InvalidObjectException
    Resolves instances being deserialized to the predefined constants.
    Overrides:
      `readResolve` in class `AttributedCharacterIterator.Attribute`
    Returns:
      resolved NumberFormat.Field constant
    Throws:
      `InvalidObjectException` - if the constant could not be resolved.